com.saxonica.schema.fsa

## Class SuffixState

- java.lang.Object
- - com.saxonica.schema.fsa.SuffixState

- All Implemented Interfaces:
    State, Serializable

      public class SuffixState
      extends Object
      implements State

  The state of a finite state machine that is processing "suffix" open content. In this state no terms from the original content model are accepted.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Edge>` | `getEdges()` Get an iterator over all the transitions (edges) allowed from this state
    `static SuffixState` | `getInstance()`
    `Edge` | `getTransition(int token, UserComplexType type)` Find the edge representing the transition from this state to another state, that is triggered by a given input token
    `Edge[]` | `getWildcardEdges()` Get all the wildcard transitions (edges) allowed from this state.
    `boolean` | `isFinalState()`
    `CharSequence` | `listAllowedElements()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SuffixState getInstance()

    - #### getTransition

          public Edge getTransition(int token,
                           UserComplexType type)

      Find the edge representing the transition from this state to another state, that is triggered by a given input token
      Specified by:
        `getTransition` in interface `State`
      Parameters:
        `token` - the input token, specifically the fingerprint of an element name
        `type` - the complex type we are validating against
      Returns:
        the Edge representing the selected transition of the finite state machine, or null if this token is not accepted when in this State (which implies a validation error).

    - #### isFinalState

          public boolean isFinalState()

      Specified by:
        `isFinalState` in interface `State`

    - #### listAllowedElements

          public CharSequence listAllowedElements()

      Specified by:
        `listAllowedElements` in interface `State`

    - #### getWildcardEdges

          public Edge[] getWildcardEdges()

      Get all the wildcard transitions (edges) allowed from this state.
      Specified by:
        `getWildcardEdges` in interface `State`
      Returns:
        an array of the edges that represent element wildcards. The objects returned by this Iterator are `Edge` objects.

    - #### getEdges

          public Iterator<Edge> getEdges()

      Get an iterator over all the transitions (edges) allowed from this state
      Specified by:
        `getEdges` in interface `State`
      Returns:
        an Iterator over all the edges from this state. The objects returned by this Iterator are `Edge` objects.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.